Bug 23417 - Update request: kernel-4.14.62-2.mga6
Summary: Update request: kernel-4.14.62-2.mga6
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: Security (show other bugs)
Version: 6
Hardware: All Linux
Priority: High critical
Target Milestone: ---
Assignee: QA Team
QA Contact: Sec team
URL:
Whiteboard: mga6-64-ok, mga6-32-ok
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2018-08-09 21:55 CEST by Thomas Backlund
Modified: 2018-08-13 09:52 CEST (History)
8 users (show)

See Also:
Source RPM: kernel
CVE:
Status comment:


Attachments

Description Thomas Backlund 2018-08-09 21:55:45 CEST
Various upstream fixes and a security fix high severity issue that allows remote DOS:
https://www.securityweek.com/segmentsmack-flaw-linux-kernel-allows-remote-dos-attacks

SRPMS:
kernel-4.14.62-1.mga6.src.rpm
kernel-userspace-headers-4.14.62-1.mga6.src.rpm

kmod-vboxadditions-5.2.14-10.mga6.src.rpm
kmod-virtualbox-5.2.14-10.mga6.src.rpm
kmod-xtables-addons-2.13-52.mga6.src.rpm

wireguard-tools-0.0.20180802-1.mga6.src.rpm



i586:
cpupower-4.14.62-1.mga6.i586.rpm
cpupower-devel-4.14.62-1.mga6.i586.rpm
kernel-desktop-4.14.62-1.mga6-1-1.mga6.i586.rpm
kernel-desktop586-4.14.62-1.mga6-1-1.mga6.i586.rpm
kernel-desktop586-devel-4.14.62-1.mga6-1-1.mga6.i586.rpm
kernel-desktop586-devel-latest-4.14.62-1.mga6.i586.rpm
kernel-desktop586-latest-4.14.62-1.mga6.i586.rpm
kernel-desktop-devel-4.14.62-1.mga6-1-1.mga6.i586.rpm
kernel-desktop-devel-latest-4.14.62-1.mga6.i586.rpm
kernel-desktop-latest-4.14.62-1.mga6.i586.rpm
kernel-doc-4.14.62-1.mga6.noarch.rpm
kernel-server-4.14.62-1.mga6-1-1.mga6.i586.rpm
kernel-server-devel-4.14.62-1.mga6-1-1.mga6.i586.rpm
kernel-server-devel-latest-4.14.62-1.mga6.i586.rpm
kernel-server-latest-4.14.62-1.mga6.i586.rpm
kernel-source-4.14.62-1.mga6-1-1.mga6.noarch.rpm
kernel-source-latest-4.14.62-1.mga6.noarch.rpm
kernel-userspace-headers-4.14.62-1.mga6.i586.rpm
perf-4.14.62-1.mga6.i586.rpm

vboxadditions-kernel-4.14.62-desktop-1.mga6-5.2.14-10.mga6.i586.rpm
vboxadditions-kernel-4.14.62-desktop586-1.mga6-5.2.14-10.mga6.i586.rpm
vboxadditions-kernel-4.14.62-server-1.mga6-5.2.14-10.mga6.i586.rpm
vboxadditions-kernel-desktop586-latest-5.2.14-10.mga6.i586.rpm
vboxadditions-kernel-desktop-latest-5.2.14-10.mga6.i586.rpm
vboxadditions-kernel-server-latest-5.2.14-10.mga6.i586.rpm

virtualbox-kernel-4.14.62-desktop-1.mga6-5.2.14-10.mga6.i586.rpm
virtualbox-kernel-4.14.62-desktop586-1.mga6-5.2.14-10.mga6.i586.rpm
virtualbox-kernel-4.14.62-server-1.mga6-5.2.14-10.mga6.i586.rpm
virtualbox-kernel-desktop586-latest-5.2.14-10.mga6.i586.rpm
virtualbox-kernel-desktop-latest-5.2.14-10.mga6.i586.rpm
virtualbox-kernel-server-latest-5.2.14-10.mga6.i586.rpm

xtables-addons-kernel-4.14.62-desktop-1.mga6-2.13-52.mga6.i586.rpm
xtables-addons-kernel-4.14.62-desktop586-1.mga6-2.13-52.mga6.i586.rpm
xtables-addons-kernel-4.14.62-server-1.mga6-2.13-52.mga6.i586.rpm
xtables-addons-kernel-desktop586-latest-2.13-52.mga6.i586.rpm
xtables-addons-kernel-desktop-latest-2.13-52.mga6.i586.rpm
xtables-addons-kernel-server-latest-2.13-52.mga6.i586.rpm

wireguard-tools-0.0.20180802-1.mga6.i586.rpm



x86_64:
cpupower-4.14.62-1.mga6.x86_64.rpm
cpupower-devel-4.14.62-1.mga6.x86_64.rpm
kernel-desktop-4.14.62-1.mga6-1-1.mga6.x86_64.rpm
kernel-desktop-devel-4.14.62-1.mga6-1-1.mga6.x86_64.rpm
kernel-desktop-devel-latest-4.14.62-1.mga6.x86_64.rpm
kernel-desktop-latest-4.14.62-1.mga6.x86_64.rpm
kernel-doc-4.14.62-1.mga6.noarch.rpm
kernel-server-4.14.62-1.mga6-1-1.mga6.x86_64.rpm
kernel-server-devel-4.14.62-1.mga6-1-1.mga6.x86_64.rpm
kernel-server-devel-latest-4.14.62-1.mga6.x86_64.rpm
kernel-server-latest-4.14.62-1.mga6.x86_64.rpm
kernel-source-4.14.62-1.mga6-1-1.mga6.noarch.rpm
kernel-source-latest-4.14.62-1.mga6.noarch.rpm
kernel-userspace-headers-4.14.62-1.mga6.x86_64.rpm
perf-4.14.62-1.mga6.x86_64.rpm

vboxadditions-kernel-4.14.62-desktop-1.mga6-5.2.14-10.mga6.x86_64.rpm
vboxadditions-kernel-4.14.62-server-1.mga6-5.2.14-10.mga6.x86_64.rpm
vboxadditions-kernel-desktop-latest-5.2.14-10.mga6.x86_64.rpm
vboxadditions-kernel-server-latest-5.2.14-10.mga6.x86_64.rpm

virtualbox-kernel-4.14.62-desktop-1.mga6-5.2.14-10.mga6.x86_64.rpm
virtualbox-kernel-4.14.62-server-1.mga6-5.2.14-10.mga6.x86_64.rpm
virtualbox-kernel-desktop-latest-5.2.14-10.mga6.x86_64.rpm
virtualbox-kernel-server-latest-5.2.14-10.mga6.x86_64.rpm

xtables-addons-kernel-4.14.62-desktop-1.mga6-2.13-52.mga6.x86_64.rpm
xtables-addons-kernel-4.14.62-server-1.mga6-2.13-52.mga6.x86_64.rpm
xtables-addons-kernel-desktop-latest-2.13-52.mga6.x86_64.rpm
xtables-addons-kernel-server-latest-2.13-52.mga6.x86_64.rpm

wireguard-tools-0.0.20180802-1.mga6.x86_64.rpm
Thomas Backlund 2018-08-09 21:57:05 CEST

Priority: Normal => High

Comment 1 William Kenney 2018-08-10 01:56:11 CEST
In a Vbox client, M6, Mate, 32-bit

Testing: kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower

[root@localhost wilcal]# uname -a
Linux localhost 4.14.56-desktop-1.mga6 #1 SMP Mon Jul 16 20:46:05 UTC 2018 i686 i686 i686 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.56-1.mga6.i586 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.14-6.mga6.i586 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.56-1.mga6.i586 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.

Install kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower from updates testing

The following 6 packages are going to be installed:

- cpupower-4.14.62-1.mga6.i586
- kernel-desktop-4.14.62-1.mga6-1-1.mga6.i586
- kernel-desktop-latest-4.14.62-1.mga6.i586
- meta-task-6-3.2.mga6.noarch
- vboxadditions-kernel-4.14.62-desktop-1.mga6-5.2.14-10.mga6.i586
- vboxadditions-kernel-desktop-latest-5.2.14-10.mga6.i586

Reboot system.

[root@localhost wilcal]# uname -a
Linux localhost 4.14.62-desktop-1.mga6 #1 SMP Thu Aug 9 14:32:30 UTC 2018 i686 i686 i686 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.62-1.mga6.i586 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.14-10.mga6.i586 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.62-1.mga6.i586 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.

CC: (none) => wilcal.int

Comment 2 William Kenney 2018-08-10 02:09:35 CEST
In a Vbox client, M6, Mate, 64-bit

Testing: kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower

[root@localhost wilcal]# uname -a
Linux localhost 4.14.56-desktop-1.mga6 #1 SMP Mon Jul 16 19:36:06 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.56-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.14-6.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.56-1.mga6.x86_64 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.

Install kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower from updates testing

The following 6 packages are going to be installed:

- cpupower-4.14.62-1.mga6.x86_64
- kernel-desktop-4.14.62-1.mga6-1-1.mga6.x86_64
- kernel-desktop-latest-4.14.62-1.mga6.x86_64
- meta-task-6-3.2.mga6.noarch
- vboxadditions-kernel-4.14.62-desktop-1.mga6-5.2.14-10.mga6.x86_64
- vboxadditions-kernel-desktop-latest-5.2.14-10.mga6.x86_64

Reboot system.

[root@localhost wilcal]# uname -a
Linux localhost 4.14.62-desktop-1.mga6 #1 SMP Thu Aug 9 14:54:04 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.62-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.14-10.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.62-1.mga6.x86_64 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.
Comment 3 Brian Rockwell 2018-08-10 04:46:56 CEST
$ uname -a
Linux localhost 4.14.62-desktop-1.mga6 #1 SMP Thu Aug 9 14:32:30 UTC 2018 i686 i686 i686 GNU/Linux


Physical hardware install - x2-3800, Nvidia 6150le (304 driver).

Browser working
usb working
libreoffice working

Seems to be working properly.

CC: (none) => brtians1

Comment 4 William Kenney 2018-08-10 06:31:31 CEST
On real hardware, M6, Plasma, 64-bit

initial install:
kernel-desktop-latest
virtualbox vboxadditions-kernel-desktop-latest dkms-virtualbox
virtualbox-guest-additions virtualbox-kernel-desktop-latest x11-driver-video-vboxvideo
kernel-desktop-devel-latest dkms-nvidia-current

The following 10 packages are going to be installed:

- dkms-virtualbox-5.2.14-1.mga6.noarch
- vboxadditions-kernel-4.14.56-desktop-1.mga6-5.2.14-6.mga6.x86_64
- vboxadditions-kernel-desktop-latest-5.2.14-6.mga6.x86_64
- virtualbox-5.2.14-1.mga6.x86_64
- virtualbox-doc-5.1.30-1.mga6.noarch
- virtualbox-guest-additions-5.2.14-1.mga6.x86_64
- virtualbox-kernel-4.14.56-desktop-1.mga6-5.2.14-6.mga6.x86_64
- virtualbox-kernel-desktop-latest-5.2.14-6.mga6.x86_64
- x11-driver-video-vboxvideo-5.2.14-1.mga6.x86_64
- xrandr-1.5.0-1.mga6.x86_64

[root@localhost wilcal]# uname -a
Linux localhost 4.14.56-desktop-1.mga6 #1 SMP Mon Jul 16 19:36:06 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.56-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox
Package virtualbox-5.2.14-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.14-6.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-virtualbox
Package dkms-virtualbox-5.2.14-1.mga6.noarch is already installed
[root@localhost wilcal]# urpmi virtualbox-guest-additions
Package virtualbox-guest-additions-5.2.14-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox-kernel-desktop-latest
Package virtualbox-kernel-desktop-latest-5.2.14-6.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi x11-driver-video-vboxvideo
Package x11-driver-video-vboxvideo-5.2.14-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi kernel-desktop-devel-latest
Package kernel-desktop-devel-latest-4.14.56-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-nvidia-current
Package dkms-nvidia-current-390.77-1.1.mga6.nonfree.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.56-1.mga6.x86_64 is already installed
[root@localhost wilcal]# lspci -k
01:00.0 VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
        Subsystem: Gigabyte Technology Co., Ltd Device 3518
        Kernel driver in use: nvidia
        Kernel modules: nvidiafb, nouveau, nvidia_drm, nvidia_current
        
Using:
Mageia-6-LiveDVD-Xfce-i586-DVD.iso
Create a Vbox client. Works just fine. Boots to a working desktop.

install from update_testing:
kernel-desktop-latest
virtualbox vboxadditions-kernel-desktop-latest dkms-virtualbox
virtualbox-guest-additions virtualbox-kernel-desktop-latest x11-driver-video-vboxvideo
kernel-desktop-devel-latest dkms-nvidia-current

The following 14 packages are going to be installed:

- dkms-nvidia-current-390.77-1.1.mga6.nonfree.x86_64
- kernel-desktop-4.14.56-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-4.14.56-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-latest-4.14.56-1.mga6.x86_64
- kernel-desktop-latest-4.14.56-1.mga6.x86_64
- kernel-firmware-nonfree-20180606-1.mga6.nonfree.noarch
- microcode-0.20180703-1.mga6.nonfree.noarch
- nvidia-current-doc-html-390.77-1.1.mga6.nonfree.x86_64
- radeon-firmware-20180606-1.mga6.nonfree.noarch
- vboxadditions-kernel-4.14.56-desktop-1.mga6-5.2.14-6.mga6.x86_64
- vboxadditions-kernel-desktop-latest-5.2.14-6.mga6.x86_64
- virtualbox-kernel-4.14.56-desktop-1.mga6-5.2.14-6.mga6.x86_64
- virtualbox-kernel-desktop-latest-5.2.14-6.mga6.x86_64
- x11-driver-video-nvidia-current-390.77-1.1.mga6.nonfree.x86_64

[root@localhost wilcal]# uname -a
Linux localhost 4.14.62-desktop-1.mga6 #1 SMP Thu Aug 9 14:54:04 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.62-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox
Package virtualbox-5.2.14-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.14-10.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-virtualbox
Package dkms-virtualbox-5.2.14-1.mga6.noarch is already installed
[root@localhost wilcal]# urpmi virtualbox-guest-additions
Package virtualbox-guest-additions-5.2.14-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox-kernel-desktop-latest
Package virtualbox-kernel-desktop-latest-5.2.14-10.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi x11-driver-video-vboxvideo
Package x11-driver-video-vboxvideo-5.2.14-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi kernel-desktop-devel-latest
Package kernel-desktop-devel-latest-4.14.62-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-nvidia-current
Package dkms-nvidia-current-390.77-1.1.mga6.nonfree.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.62-1.mga6.x86_64 is already installed
[wilcal@localhost ~]$ lspci -k
01:00.0 VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
        Subsystem: Gigabyte Technology Co., Ltd Device 3518
        Kernel driver in use: nvidia
        Kernel modules: nvidiafb, nouveau, nvidia_drm, nvidia_current
        
Mageia-6-LiveDVD-Xfce-i586-DVD.iso
Still works as a Vbox client. Boots to a working desktop.

Mageia-6-LiveDVD-GNOME-x86_64-DVD.iso
Create a Vbox client. Works just fine. Boots to a working desktop.

Mageia-6.1-rc-LiveDVD-Plasma-x86_64-DVD.iso
Installs as a Vbox client. Boots to a working desktop.
Updates then reboots back to a working desktop.

Test platform:
Intel Core i7-2600K Sandy Bridge 3.4GHz
GIGABYTE GA-Z68X-UD3-B3 LGA 1155 MoBo
GIGABYTE GV-N440D3-1GI Nvidia GeForce GT 440 (Fermi) 1GB
RTL8111/8168B PCI Express 1Gbit Ethernet
DRAM 16GB (4 x 4GB)
Comment 5 James Kerr 2018-08-10 08:17:46 CEST
On mga6-32  xfce

packages installed cleanly:
- cpupower-4.14.62-1.mga6.i586
- kernel-server-4.14.62-1.mga6-1-1.mga6.i586
- kernel-server-devel-4.14.62-1.mga6-1-1.mga6.i586
- kernel-server-devel-latest-4.14.62-1.mga6.i586
- kernel-server-latest-4.14.62-1.mga6.i586
- kernel-userspace-headers-4.14.62-1.mga6.i586

system re-booted normally:
$ uname -r
4.14.62-server-1.mga6
# dkms status -m nvidia-current
nvidia-current, 390.77-1.1.mga6.nonfree, 4.14.62-server-1.mga6, i586: installed 

Common applications OK

OK for mga6-32 on this system:

Machine:   Device: desktop Mobo: ECS model: GeForce7050M-M v: 1.0
CPU:       Quad core AMD Phenom 9500 (-MCP-) cache: 2048 KB 
Graphics:  Card: NVIDIA GK208B [GeForce GT 710]

CC: (none) => jim

Comment 6 ben mcmonagle 2018-08-10 08:45:17 CEST
Mga6 on real 32bit hardware (lxde/lxqt desktop system)

uname -r
4.14.56-desktop-1.mga6


$ lscpu
Architecture:          i686
CPU op-mode(s):        32-bit

AMD Athlon(tm) XP 2400+

Flags:                 fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge
                       mca cmov pat pse36 mmx fxsr sse syscall mmxext 3dnowext 
                       3dnow cpuid 3dnowprefetch vmmcall

To satisfy dependencies, the following packages are going to be installed:
  Package                        Version      Release       Arch    
(medium "Core Release (distrib1)")
  libnuma1                       2.0.11       2.mga6        i586    
(medium "Core Updates Testing (distrib5)")
  cpupower                       4.14.62      1.mga6        i586    
  kernel-desktop-4.14.62-1.mga6  1            1.mga6        i586    
  kernel-desktop-latest          4.14.62      1.mga6        i586    
  kernel-userspace-headers       4.14.62      1.mga6        i586    
  perf                           4.14.62      1.mga6        i586    
  wireguard-tools                0.0.20180802 1.mga6        i586    
74MB of additional disk space will be used.
57MB of packages will be retrieved.
Proceed with the installation of the 7 packages? (Y/n) y

Creating: target|kernel|dracut args|basicmodules 


reboot

uname -r

4.14.62-desktop-1.mga6

uSB device detected
VLC .mp4 video and audio playback from usb - ok
firefox -ok

CC: (none) => westel

Comment 7 Thomas Backlund 2018-08-10 10:04:00 CEST
x86_64 server version is running on my own server and on Mageia infra without issues so far...

x86_64 desktop kernel runs on my laptop without issues so far...
Comment 8 James Kerr 2018-08-10 10:55:30 CEST
on mga6-64  xfce

Machine:   Device: desktop Mobo: ECS model: GeForce7050M-M v: 1.0
CPU:       Quad core AMD Phenom 9500 (-MCP-) cache: 2048 KB 
Graphics:  Card: NVIDIA GK208B [GeForce GT 710]

packages installed cleanly:
- cpupower-4.14.62-1.mga6.x86_64
- kernel-desktop-4.14.62-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-4.14.62-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-latest-4.14.62-1.mga6.x86_64
- kernel-desktop-latest-4.14.62-1.mga6.x86_64
- kernel-userspace-headers-4.14.62-1.mga6.x86_64

system rebooted normally:
$ uname -r
4.14.62-desktop-1.mga6
# dkms status -m nvidia-current
nvidia-current, 390.77-1.1.mga6.nonfree, 4.14.62-desktop-1.mga6, x86_64: installed 

common applications OK

OK for mga6-64 on this system
Comment 9 James Kerr 2018-08-10 11:09:57 CEST
on mga6-64  plasma

packages installed cleanly:
- cpupower-4.14.62-1.mga6.x86_64
- kernel-desktop-4.14.62-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-4.14.62-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-latest-4.14.62-1.mga6.x86_64
- kernel-desktop-latest-4.14.62-1.mga6.x86_64
- kernel-userspace-headers-4.14.62-1.mga6.x86_64
- virtualbox-kernel-4.14.62-desktop-1.mga6-5.2.14-10.mga6.x86_64
- virtualbox-kernel-desktop-latest-5.2.14-10.mga6.x86_64

system rebooted normally:
$ uname -r
4.14.62-desktop-1.mga6

common applications OK

vbox and clients launched normally

OK for mga6-64 on this system:
Machine:   Device: desktop System: Dell product: Precision Tower 3620
           Mobo: Dell model: 09WH54 v: A00 UEFI [Legacy]: Dell v: 2.7.3 
CPU:       Quad core Intel Core i7-6700 (-HT-MCP-)
Graphics:  Card: Intel HD Graphics 530
Comment 10 Len Lawrence 2018-08-10 11:37:51 CEST
Installed stock kernel on a partition which is heavily used.
Selected all relevant packages in MageiaUpdate.
Rebooted to Maté desktop - did not see nvidia kmod being rebuilt but graphics are OK.

System:    Host: difda Kernel: 4.14.62-desktop-1.mga6 x86_64
CPU:       Quad core Intel Core i7-4790 (-HT-MCP-) speed/max: 3831/4000 MHz
Machine:   Device: desktop Mobo: MSI model: Z97-G43 (MS-7816) v: 3.0
Graphics:  Card: NVIDIA GM204 [GeForce GTX 970]
           GLX Version: 4.6.0 NVIDIA 390.77
Network:   Card: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller
           driver: r8169
RAM:       32 GB

Ran stress in c/i/m/d modes.  glmark2, teapot, glxspheres64 confirmed that GL graphics worked.  Sound and video working OK in mplayer and vlc.  NFS shares mounted automatically.  Firefox, thunderbird, LibreOffice writer, gkrellm,  image viewers, all OK.  gcc compiled simple C program with standard libraries.
Unplugged USB drive - automounted when plugged in again.

MCC -> system -> services
Stopped and started services, stopped some and attempted to start nginx with apache running.  That failed as expected.

Looks healthy.  Leaving it to run.

CC: (none) => tarazed25

Comment 11 Morgan Leijström 2018-08-10 11:40:24 CEST
Two 64 bit machines updated to all updates in all updates_testing repos.
kernel desktop 4.14.62-1 as well as everything else installed cleanly (incl -devel, cpupower, userspace-headers...), rebooted, tested OK:

1) 64 bit OK on my workstation: i7-2600K, Nvidia GTX750 (GM107) using proprietary driver GeForce 420 and later, with CUDA & OpenCL detected OK in BOINC, LVM on LUKS on SSD, VirtualBox running MSW7, Plasma5.12 etc, video in Firefox,,, 

2) 64 bit OK on laptop Thinkpad T60, CPU core2Duo T5600, ati RV515/M54 X1400, wifi AR5418, LVM on LUKS on SSD. Resume from suspend and hibernation OK.
Fixed: (were regression in .56 ) wifi now reconnects automatically after resume.
Fixed: (have been a quirk for several kernels): after earlier kernel updates it need to be rebooted one extra time to work properly, or else it returns to suspend when being waked up and always needed a second wake up every wake up until rebooted.  This time i did not notice that.

CC: (none) => fri

Comment 12 James Kerr 2018-08-10 11:41:08 CEST
(In reply to James Kerr from comment #9)
> on mga6-64  plasma
> 

kernel 4.14.62-desktop is also OK in 32 bit and 64 bit vbox clients
on this host system

> Machine:   Device: desktop System: Dell product: Precision Tower 3620
>            Mobo: Dell model: 09WH54 v: A00 UEFI [Legacy]: Dell v: 2.7.3 
> CPU:       Quad core Intel Core i7-6700 (-HT-MCP-)
> Graphics:  Card: Intel HD Graphics 530
Comment 13 Len Lawrence 2018-08-10 12:46:42 CEST
Installed these with MageiaUpdate:
- cpupower-4.14.62-1.mga6.x86_64
- kernel-desktop-4.14.62-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-4.14.62-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-latest-4.14.62-1.mga6.x86_64
- kernel-desktop-latest-4.14.62-1.mga6.x86_64
- kernel-userspace-headers-4.14.62-1.mga6.x86_64
- virtualbox-kernel-4.14.62-desktop-1.mga6-5.2.14-10.mga6.x86_64
- virtualbox-kernel-desktop-latest-5.2.14-10.mga6.x86_64

Added these manually:
cpupower-devel
kernel-doc
kernel-source
kernel-source-latest
perf
vboxadditions-kernel
vboxadditions-kernel-desktop-latest
xtables-addons-kernel
xtables-addons-kernel-desktop-latest
wireguard-tools

Rebooted quickly to Mate.
System:    Host: canopus Kernel: 4.14.62-desktop-1.mga6 x86_64
CPU:       Deca core Intel Core i9-7900X (-HT-MCP-) speed/max: 1289/3301 MHz
Machine:   Device: desktop Mobo: ASUSTeK model: TUF X299 MARK 2 v: Rev 1.xx
Graphics:  Card: NVIDIA GP102 [GeForce GTX 1080 Ti]
           GLX Version: 4.6.0 NVIDIA 390.77
Network:   Card: Intel Ethernet Connection (2) I219-V driver: e1000e
RAM:       32 GB

Ran the usual stress tests on CPUs, memory, io, disk read/write and GPU.
Common desktop applications working.  NFS folders mounted automatically.
Paired BT USB adapter with a new bluetooth audio device and tested sound by
using vlc to play a video from another machine on the LAN.  Noted that vlc is still unable to show subtitles even when the track is definitely there.
mcc -> hardware  Added HP wifi printer under hplip.  All needed software installed on the fly and testpage printed.
No problem launching 64-bit mga6 guest in virtualbox.

No complaints so far.
Comment 14 James Kerr 2018-08-10 16:28:20 CEST
on mga6-64  plasma (UEFI)

Machine:   Device: desktop System: Hewlett-Packard product: CQ2925EA v: 1.00
           Mobo: PEGATRON model: 2AE2 v: 1.02 UEFI: AMI v: 8.08
CPU:       Dual core Intel Pentium G645T (-MCP-)
Graphics:  Card: Intel 2nd Generation Core Processor Family 

packages installed cleanly:
- cpupower-4.14.62-1.mga6.x86_64
- kernel-desktop-4.14.62-1.mga6-1-1.mga6.x86_64
- kernel-desktop-latest-4.14.62-1.mga6.x86_64

system rebooted normally:
$ uname -r
4.14.62-desktop-1.mga6

no regressions noted

OK for mga6-64 on this system
Comment 15 Thomas Andrews 2018-08-11 03:33:05 CEST
On real hardware, Athlon  X2 7750, 8GB RAM, nvidia9800GT graphics (nvidia340 driver), Atheros wifi.

On a 64-bit Plasma system, using the server kernel, installed updates including virtualbox modules. Reboot, and everything looks OK so far.

Same hardware, new basic 32-bit Xfce system, created with the i586 LiveDVD test iso, and fully updated before the test: The iso installed the desktop586 kernel, so that was the one that was updated. It also had installed the vboxadditions modules, even though they aren't used on real hardware, so those were updated as well.

After the reboot, again everything looks OK so far. I don't have any software installed other than what came from the iso, but Firefox is working as it should. I believe the desktop586 kernel is OK.

CC: (none) => andrewsfarm

Comment 16 Thomas Backlund 2018-08-11 11:58:06 CEST
Unfortunately the "fix for slow boot" introduced 4.14.60 does not work, 
so I had to revert the fix for CVE-2018-1108 again (mga#23060)
(so basically this part is back to the working state of 4.14.56-1
 we released in MGASA-2018-0324)


And I added fixes for scs/hpsa and virtio_scsi for issues
introcuced upstream in 4.14.56

So the rpm list is now:

SRPMS:
kernel-4.14.62-2.mga6.src.rpm
kernel-userspace-headers-4.14.62-2.mga6.src.rpm

kmod-vboxadditions-5.2.14-12.mga6.src.rpm
kmod-virtualbox-5.2.14-12.mga6.src.rpm
kmod-xtables-addons-2.13-54.mga6.src.rpm

wireguard-tools-0.0.20180802-1.mga6.src.rpm



i586:
cpupower-4.14.62-2.mga6.i586.rpm
cpupower-devel-4.14.62-2.mga6.i586.rpm
kernel-desktop-4.14.62-2.mga6-1-1.mga6.i586.rpm
kernel-desktop586-4.14.62-2.mga6-1-1.mga6.i586.rpm
kernel-desktop586-devel-4.14.62-2.mga6-1-1.mga6.i586.rpm
kernel-desktop586-devel-latest-4.14.62-2.mga6.i586.rpm
kernel-desktop586-latest-4.14.62-2.mga6.i586.rpm
kernel-desktop-devel-4.14.62-2.mga6-1-1.mga6.i586.rpm
kernel-desktop-devel-latest-4.14.62-2.mga6.i586.rpm
kernel-desktop-latest-4.14.62-2.mga6.i586.rpm
kernel-doc-4.14.62-2.mga6.noarch.rpm
kernel-server-4.14.62-2.mga6-1-1.mga6.i586.rpm
kernel-server-devel-4.14.62-2.mga6-1-1.mga6.i586.rpm
kernel-server-devel-latest-4.14.62-2.mga6.i586.rpm
kernel-server-latest-4.14.62-2.mga6.i586.rpm
kernel-source-4.14.62-2.mga6-1-1.mga6.noarch.rpm
kernel-source-latest-4.14.62-2.mga6.noarch.rpm
kernel-userspace-headers-4.14.62-2.mga6.i586.rpm
perf-4.14.62-2.mga6.i586.rpm

vboxadditions-kernel-4.14.62-desktop-2.mga6-5.2.14-12.mga6.i586.rpm
vboxadditions-kernel-4.14.62-desktop586-2.mga6-5.2.14-12.mga6.i586.rpm
vboxadditions-kernel-4.14.62-server-2.mga6-5.2.14-12.mga6.i586.rpm
vboxadditions-kernel-desktop586-latest-5.2.14-12.mga6.i586.rpm
vboxadditions-kernel-desktop-latest-5.2.14-12.mga6.i586.rpm
vboxadditions-kernel-server-latest-5.2.14-12.mga6.i586.rpm

virtualbox-kernel-4.14.62-desktop-2.mga6-5.2.14-12.mga6.i586.rpm
virtualbox-kernel-4.14.62-desktop586-2.mga6-5.2.14-12.mga6.i586.rpm
virtualbox-kernel-4.14.62-server-2.mga6-5.2.14-12.mga6.i586.rpm
virtualbox-kernel-desktop586-latest-5.2.14-12.mga6.i586.rpm
virtualbox-kernel-desktop-latest-5.2.14-12.mga6.i586.rpm
virtualbox-kernel-server-latest-5.2.14-12.mga6.i586.rpm

xtables-addons-kernel-4.14.62-desktop-2.mga6-2.13-54.mga6.i586.rpm
xtables-addons-kernel-4.14.62-desktop586-2.mga6-2.13-54.mga6.i586.rpm
xtables-addons-kernel-4.14.62-server-2.mga6-2.13-54.mga6.i586.rpm
xtables-addons-kernel-desktop586-latest-2.13-54.mga6.i586.rpm
xtables-addons-kernel-desktop-latest-2.13-54.mga6.i586.rpm
xtables-addons-kernel-server-latest-2.13-54.mga6.i586.rpm

wireguard-tools-0.0.20180802-1.mga6.i586.rpm



x86_64:
cpupower-4.14.62-2.mga6.x86_64.rpm
cpupower-devel-4.14.62-2.mga6.x86_64.rpm
kernel-desktop-4.14.62-2.mga6-1-1.mga6.x86_64.rpm
kernel-desktop-devel-4.14.62-2.mga6-1-1.mga6.x86_64.rpm
kernel-desktop-devel-latest-4.14.62-2.mga6.x86_64.rpm
kernel-desktop-latest-4.14.62-2.mga6.x86_64.rpm
kernel-doc-4.14.62-2.mga6.noarch.rpm
kernel-server-4.14.62-2.mga6-1-1.mga6.x86_64.rpm
kernel-server-devel-4.14.62-2.mga6-1-1.mga6.x86_64.rpm
kernel-server-devel-latest-4.14.62-2.mga6.x86_64.rpm
kernel-server-latest-4.14.62-2.mga6.x86_64.rpm
kernel-source-4.14.62-2.mga6-1-1.mga6.noarch.rpm
kernel-source-latest-4.14.62-2.mga6.noarch.rpm
kernel-userspace-headers-4.14.62-2.mga6.x86_64.rpm
perf-4.14.62-2.mga6.x86_64.rpm

vboxadditions-kernel-4.14.62-desktop-2.mga6-5.2.14-12.mga6.x86_64.rpm
vboxadditions-kernel-4.14.62-server-2.mga6-5.2.14-12.mga6.x86_64.rpm
vboxadditions-kernel-desktop-latest-5.2.14-12.mga6.x86_64.rpm
vboxadditions-kernel-server-latest-5.2.14-12.mga6.x86_64.rpm

virtualbox-kernel-4.14.62-desktop-2.mga6-5.2.14-12.mga6.x86_64.rpm
virtualbox-kernel-4.14.62-server-2.mga6-5.2.14-12.mga6.x86_64.rpm
virtualbox-kernel-desktop-latest-5.2.14-12.mga6.x86_64.rpm
virtualbox-kernel-server-latest-5.2.14-12.mga6.x86_64.rpm

xtables-addons-kernel-4.14.62-desktop-2.mga6-2.13-54.mga6.x86_64.rpm
xtables-addons-kernel-4.14.62-server-2.mga6-2.13-54.mga6.x86_64.rpm
xtables-addons-kernel-desktop-latest-2.13-54.mga6.x86_64.rpm
xtables-addons-kernel-server-latest-2.13-54.mga6.x86_64.rpm

wireguard-tools-0.0.20180802-1.mga6.x86_64.rpm

Summary: Update request: kernel-4.14.62-1.mga6 => Update request: kernel-4.14.62-2.mga6

Comment 17 Thomas Andrews 2018-08-11 14:23:14 CEST
OK then. On real hardware this morning, HP 6550b laptop, i3, 8GB, Intel graphics, Intel wifi. 64-bit Plasma system, using the desktop kernel.

All packages installed cleanly. A warm reboot resulted in a non-functioning battery icon, and probably would not have worked on suspend/resume. An immediate cold boot restored the battery icon, and suspend/resume works. Used the system with Firefox to read my morning newspaper, and to make this report. All appears as it should, so far.
Comment 18 Len Lawrence 2018-08-11 21:33:12 CEST
Mageia 6, x86_64, UEFI

Installed 4.14.62-2 on three workstations and a laptop and ran a few tests.  They have in common Intel CPUs and nvidia graphics and all boot to working desktops which so far do not appear to have any problems.

All upgraded from 4.14.62-1.
Comment 19 ben mcmonagle 2018-08-12 09:31:07 CEST
Mga6 on real 32bit hardware (lxde/lxqt desktop system)

uname -r
4.14.62-desktop-1.mga6


$ lscpu
Architecture:          i686
CPU op-mode(s):        32-bit

AMD Athlon(tm) XP 2400+

Flags:                 fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge
                       mca cmov pat pse36 mmx fxsr sse syscall mmxext 3dnowext 
                       3dnow cpuid 3dnowprefetch vmmcall

To satisfy dependencies, the following packages are going to be installed:
  Package                        Version      Release       Arch    
(medium "Core Updates Testing (distrib5)")
  cpupower                       4.14.62      2.mga6        i586    
  kernel-desktop-4.14.62-2.mga6  1            1.mga6        i586    
  kernel-desktop-devel-4.14.62-> 1            1.mga6        i586    
  kernel-desktop-devel-latest    4.14.62      2.mga6        i586    
  kernel-desktop-latest          4.14.62      2.mga6        i586    
  kernel-userspace-headers       4.14.62      2.mga6        i586    
97MB of additional disk space will be used.
63MB of packages will be retrieved.
Proceed with the installation of the 6 packages? (Y/n) y

nvidia304 (304.137-2.mga6.nonfree): Installing module.
...............................................................
.............
Creating: target|kernel|dracut args|basicmodules  


reboot

uname -r
4.14.62-desktop-2.mga6

USB device detected
VLC .mp4 video and audio playback from usb - ok
Firefox -ok
Leafpad - ok
Comment 20 James Kerr 2018-08-12 10:23:11 CEST
on mga6-64  plasma

packages installed cleanly:
- cpupower-4.14.62-2.mga6.x86_64
- kernel-desktop-4.14.62-2.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-4.14.62-2.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-latest-4.14.62-2.mga6.x86_64
- kernel-desktop-latest-4.14.62-2.mga6.x86_64
- kernel-userspace-headers-4.14.62-2.mga6.x86_64
- virtualbox-kernel-4.14.62-desktop-2.mga6-5.2.14-12.mga6.x86_64
- virtualbox-kernel-desktop-latest-5.2.14-12.mga6.x86_64

system rebooted normally:
$ uname -r
4.14.62-desktop-2.mga6

common applications OK

vbox and clients launched normally

OK for mga6-64 on this system:
Machine:   Device: desktop System: Dell product: Precision Tower 3620
           Mobo: Dell model: 09WH54 v: A00 UEFI [Legacy]: Dell v: 2.7.3 
CPU:       Quad core Intel Core i7-6700 (-HT-MCP-)
Graphics:  Card: Intel HD Graphics 530
Comment 21 James Kerr 2018-08-12 11:45:56 CEST
on mga6-64  plasma (UEFI)

Machine:   Device: desktop System: Hewlett-Packard product: CQ2925EA v: 1.00
           Mobo: PEGATRON model: 2AE2 v: 1.02 UEFI: AMI v: 8.08
CPU:       Dual core Intel Pentium G645T (-MCP-)
Graphics:  Card: Intel 2nd Generation Core Processor Family 

packages installed cleanly:
- cpupower-4.14.62-2.mga6.x86_64
- kernel-desktop-4.14.62-2.mga6-1-1.mga6.x86_64
- kernel-desktop-latest-4.14.62-2.mga6.x86_64
 
system rebooted normally:
$ uname -r
4.14.62-desktop-2.mga6

no regressions noted

OK for mga64 on this system
Comment 22 James Kerr 2018-08-12 14:07:29 CEST
kernel-desktop-4.14.62-2 also OK in 32bit and 64bit clients on this host system:

Machine:   Device: desktop System: Dell product: Precision Tower 3620
           Mobo: Dell model: 09WH54 v: A00 UEFI [Legacy]: Dell v: 2.7.3 
CPU:       Quad core Intel Core i7-6700 (-HT-MCP-)
Comment 23 James Kerr 2018-08-12 15:33:33 CEST
On mga6-32  xfce

packages installed cleanly:
- cpupower-4.14.62-2.mga6.i586
- kernel-server-4.14.62-2.mga6-1-1.mga6.i586
- kernel-server-devel-4.14.62-2.mga6-1-1.mga6.i586
- kernel-server-devel-latest-4.14.62-2.mga6.i586
- kernel-server-latest-4.14.62-2.mga6.i586
- kernel-userspace-headers-4.14.62-2.mga6.i586

system re-booted normally:
$ uname -r
4.14.62-server-2.mga6
# dkms status -m nvidia-current
nvidia-current, 390.77-1.1.mga6.nonfree, 4.14.62-server-2.mga6, i586: installed 

Common applications OK

OK for mga6-32 on this system:

Machine:   Device: desktop Mobo: ECS model: GeForce7050M-M v: 1.0
CPU:       Quad core AMD Phenom 9500 (-MCP-) cache: 2048 KB 
Graphics:  Card: NVIDIA GK208B [GeForce GT 710]
Comment 24 Brian Rockwell 2018-08-12 16:11:54 CEST
$ uname -a
Linux localhost.localdomain 4.14.62-desktop-2.mga6 #1 SMP Fri Aug 10 21:46:23 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

Intel(R) Core(TM) i3 CPU       M 350  @ 2.27GHz

The following 3 packages are going to be installed:

- cpupower-4.14.62-2.mga6.x86_64
- kernel-desktop-4.14.62-2.mga6-1-1.mga6.x86_64
- kernel-desktop-latest-4.14.62-2.mga6.x86_64

62MB of additional disk space will be used.

57MB of packages will be retrieved.

----

working as designed

- wifi working
- browswer functioning appropriately
- no issues on reboot
Comment 25 Brian Rockwell 2018-08-12 16:59:56 CEST
Physical hardware install - x2-3800, Nvidia 6150le (304 driver).

Xfce

$ uname -a
Linux localhost 4.14.62-desktop-2.mga6 #1 SMP Fri Aug 10 23:21:36 UTC 2018 i686 i686 i686 GNU/Linux


Browser working
usb working
libreoffice working
sound and video working (gnome player)
Comment 26 James Kerr 2018-08-12 18:23:09 CEST
on mga6-64  xfce

Machine:   Device: desktop Mobo: ECS model: GeForce7050M-M v: 1.0
CPU:       Quad core AMD Phenom 9500 (-MCP-) cache: 2048 KB 
Graphics:  Card: NVIDIA GK208B [GeForce GT 710]

packages installed cleanly:
- cpupower-4.14.62-2.mga6.x86_64
- kernel-desktop-4.14.62-2.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-4.14.62-2.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-latest-4.14.62-2.mga6.x86_64
- kernel-desktop-latest-4.14.62-2.mga6.x86_64
- kernel-userspace-headers-4.14.62-2.mga6.x86_64

system rebooted normally:
$ uname -r
4.14.62-desktop-2.mga6
# dkms status -m nvidia-current
nvidia-current, 390.77-1.1.mga6.nonfree, 4.14.62-desktop-2.mga6, x86_64: installed 

common applications OK

OK for mga6-64 on this system
Comment 27 William Kenney 2018-08-12 18:46:52 CEST
In a Vbox client, M6, Mate, 32-bit

Testing: kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower

[root@localhost wilcal]# uname -a
Linux localhost 4.14.56-desktop-1.mga6 #1 SMP Mon Jul 16 20:46:05 UTC 2018 i686 i686 i686 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.56-1.mga6.i586 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.14-6.mga6.i586 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.56-1.mga6.i586 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.

Install kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower from updates testing

The following 5 packages are going to be installed:

- cpupower-4.14.62-2.mga6.i586
- kernel-desktop-4.14.62-2.mga6-1-1.mga6.i586
- kernel-desktop-latest-4.14.62-2.mga6.i586
- vboxadditions-kernel-4.14.62-desktop-2.mga6-5.2.14-12.mga6.i586
- vboxadditions-kernel-desktop-latest-5.2.14-12.mga6.i586

Reboot system.

[root@localhost wilcal]# uname -a
Linux localhost 4.14.62-desktop-2.mga6 #1 SMP Fri Aug 10 23:21:36 UTC 2018 i686 i686 i686 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.62-2.mga6.i586 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.14-12.mga6.i586 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.62-2.mga6.i586 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.
Comment 28 William Kenney 2018-08-12 19:01:17 CEST
In a Vbox client, M6, Mate, 64-bit

Testing: kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower

[root@localhost wilcal]# uname -a
Linux localhost 4.14.56-desktop-1.mga6 #1 SMP Mon Jul 16 19:36:06 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.56-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.14-6.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.56-1.mga6.x86_64 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.

Install kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower from updates testing

The following 5 packages are going to be installed:

- cpupower-4.14.62-2.mga6.x86_64
- kernel-desktop-4.14.62-2.mga6-1-1.mga6.x86_64
- kernel-desktop-latest-4.14.62-2.mga6.x86_64
- vboxadditions-kernel-4.14.62-desktop-2.mga6-5.2.14-12.mga6.x86_64
- vboxadditions-kernel-desktop-latest-5.2.14-12.mga6.x86_64

Reboot system.

[root@localhost wilcal]# uname -a
Linux localhost 4.14.62-desktop-2.mga6 #1 SMP Fri Aug 10 21:46:23 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.62-2.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.14-12.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.62-2.mga6.x86_64 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.
Comment 29 William Kenney 2018-08-12 20:58:00 CEST
On real hardware, M6, Plasma, 64-bit

initial install:
kernel-desktop-latest
virtualbox vboxadditions-kernel-desktop-latest dkms-virtualbox
virtualbox-guest-additions virtualbox-kernel-desktop-latest x11-driver-video-vboxvideo
kernel-desktop-devel-latest dkms-nvidia-current

[root@localhost wilcal]# uname -a
Linux localhost 4.14.56-desktop-1.mga6 #1 SMP Mon Jul 16 19:36:06 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.56-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox
Package virtualbox-5.2.14-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.14-6.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-virtualbox
Package dkms-virtualbox-5.2.14-1.mga6.noarch is already installed
[root@localhost wilcal]# urpmi virtualbox-guest-additions
Package virtualbox-guest-additions-5.2.14-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox-kernel-desktop-latest
Package virtualbox-kernel-desktop-latest-5.2.14-6.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi x11-driver-video-vboxvideo
Package x11-driver-video-vboxvideo-5.2.14-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi kernel-desktop-devel-latest
Package kernel-desktop-devel-latest-4.14.56-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-nvidia-current
Package dkms-nvidia-current-390.77-1.1.mga6.nonfree.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.56-1.mga6.x86_64 is already installed
[root@localhost wilcal]# lspci -k
01:00.0 VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
        Subsystem: Gigabyte Technology Co., Ltd Device 3518
        Kernel driver in use: nvidia
        Kernel modules: nvidiafb, nouveau, nvidia_drm, nvidia_current
        
Using:
Mageia-6-LiveDVD-Xfce-i586-DVD.iso
Create a Vbox client. Works just fine. Boots to a working desktop.

install from update_testing:
kernel-desktop-latest
virtualbox vboxadditions-kernel-desktop-latest dkms-virtualbox
virtualbox-guest-additions virtualbox-kernel-desktop-latest x11-driver-video-vboxvideo
kernel-desktop-devel-latest dkms-nvidia-current

[root@localhost wilcal]# uname -a
Linux localhost 4.14.62-desktop-2.mga6 #1 SMP Fri Aug 10 21:46:23 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.62-2.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox
Package virtualbox-5.2.14-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.14-12.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-virtualbox
Package dkms-virtualbox-5.2.14-1.mga6.noarch is already installed
[root@localhost wilcal]# urpmi virtualbox-guest-additions
Package virtualbox-guest-additions-5.2.14-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox-kernel-desktop-latest
Package virtualbox-kernel-desktop-latest-5.2.14-12.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi x11-driver-video-vboxvideo
Package x11-driver-video-vboxvideo-5.2.14-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi kernel-desktop-devel-latest
Package kernel-desktop-devel-latest-4.14.62-2.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-nvidia-current
Package dkms-nvidia-current-390.77-1.1.mga6.nonfree.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.62-2.mga6.x86_64 is already installed
[wilcal@localhost ~]$ lspci -k
01:00.0 VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
        Subsystem: Gigabyte Technology Co., Ltd Device 3518
        Kernel driver in use: nvidia
        Kernel modules: nvidiafb, nouveau, nvidia_drm, nvidia_current
        
Mageia-6-LiveDVD-Xfce-i586-DVD.iso
Still works as a Vbox client. Boots to a working desktop.

Mageia-6-LiveDVD-GNOME-x86_64-DVD.iso
Create a Vbox client. Works just fine. Boots to a working desktop.

Mageia-6.1-rc-LiveDVD-Plasma-x86_64-DVD.iso
Installs as a Vbox client. Boots to a working desktop.
Updates then reboots back to a working desktop.

Test platform:
Intel Core i7-2600K Sandy Bridge 3.4GHz
GIGABYTE GA-Z68X-UD3-B3 LGA 1155 MoBo
GIGABYTE GV-N440D3-1GI Nvidia GeForce GT 440 (Fermi) 1GB
RTL8111/8168B PCI Express 1Gbit Ethernet
DRAM 16GB (4 x 4GB)
Comment 30 Thomas Backlund 2018-08-12 21:54:40 CEST
Advisory, added to svn:

type: security
subject: Updated kernel packages fix security vulnerabilities
CVE:
 - CVE-2018-5390
 - CVE-2018-14678
src:
  6:
   core:
     - kernel-4.14.62-2.mga6
     - kernel-userspace-headers-4.14.62-2.mga6
     - kmod-vboxadditions-5.2.14-12.mga6
     - kmod-virtualbox-5.2.14-12.mga6
     - kmod-xtables-addons-2.13-54.mga6
     - wireguard-tools-0.0.20180802-1.mga6
description: |
  This kernel update is based on the upstream 4.14.62 and fixes atleast
  the following security issues:

  Security researchers from FICORA have identified a remote denial of
  service attack against the Linux kernel caused by inefficient
  implementation of TCP segment reassembly, named "SegmentSmack".
  A remote attacker could consume a lot of CPU resources in the kernel
  networking stack with just a low bandwidth or single host attack by
  using lots of small TCP segments packets. Usually large botnets are
  needed for similar effect. The rate needed for this denial of service
  attack to be effective is several magnitudes lower than the usual
  packet processing capability of the machine, as the attack exploits
  worst case behaviour of existing algorithms (CVE-2018-5390).

  An issue was discovered in the Linux kernel through 4.17.11, as used
  in Xen through 4.11.x. The xen_failsafe_callback entry point in 
  arch/x86/entry/entry_64.S does not properly maintain RBX, which allows
  local users to cause a denial of service (uninitialized memory usage
  and system crash). Within Xen, 64-bit x86 PV Linux guest OS users can
  trigger a guest OS crash or possibly gain privileges (CVE-2018-14678).

  Other changes in this update:
  * WireGuard has been updated to 0.0.20180802.

  For other upstream fixes in this update, see the referenced changelogs.
references:
 - https://bugs.mageia.org/show_bug.cgi?id=23417
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.57
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.58
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.59
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.60
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.61
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.62

Keywords: (none) => advisory

Comment 31 Thomas Backlund 2018-08-12 21:57:22 CEST
 Enough tests done...

 Validating due to the critical issues it fixes

Whiteboard: (none) => mga6-64-ok, mga6-32-ok
Keywords: (none) => validated_update
CC: (none) => sysadmin-bugs

Comment 32 Mageia Robot 2018-08-12 22:40:21 CEST
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGASA-2018-0337.html

Resolution: (none) => FIXED
Status: NEW => RESOLVED

Comment 33 Morgan Leijström 2018-08-13 09:52:16 CEST
OK on same systems as comment 11 plus an 64 bit Aspire 7, same tests.

Note You need to log in before you can comment on or make changes to this bug.